Append A User Or System Message To An Existing Polaris Thread
POST
https://api.getcovent.com/api/v1/polaris/threads/{id}/messagesAppend a user or system message to an existing Polaris thread.
How to Call
Use one of the examples below to call this endpoint from your own integration.
curl -X POST "https://api.getcovent.com/api/v1/polaris/threads/{id}/messages" \
-H "Authorization: Bearer <API_KEY>" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"role": "user",
"content": "Summarize this buyer's activity in Phoenix.",
"attachment_ids": []
}'Request
Review headers, parameters, and body fields before calling this endpoint.
AuthorizationstringRequired
Bearer token for the proposed external API contract.
Example: Bearer <API_KEY>AcceptstringRequired
Response format header.
Example: application/jsonContent-TypestringRequired
JSON request body header.
Example: application/jsonidstringRequired
id path parameter.
Example: <id>rolestringRequired
role request field.
Example: usercontentstringRequired
content request field.
Example: Summarize this buyer's activity in Phoenix.attachment_idsarrayRequired
attachment_ids request field.
Example: []Response
200application/jsonidstringRequired
id response field.
Example: msg_123rolestringRequired
role response field.
Example: usercontentstringRequired
content response field.
Example: Summarize this buyer's activity in Phoenix.attachmentsarrayRequired
attachments response field.
Example: []created_atstringRequired
created_at response field.
Example: 2026-04-17T20:01:00ZResponse Example
{
"id": "msg_123",
"role": "user",
"content": "Summarize this buyer's activity in Phoenix.",
"attachments": [],
"created_at": "2026-04-17T20:01:00Z"
}